hardware-rentals-delete-one¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
25090787814Source SHA:
444376867c764658b4ed0286bc44ff0ac8c80995Module:
hardwareDocumentation Scope:
asyncLambda:
jef-hardware-delete-5
Endpoint¶
API Name:
jef-hardwareAction Name:
deleteMethod:
DELETEScope Label:
AsyncResource Path:
/hardware-rentals-delete-oneComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-delete-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-delete-5curl payload mode:
json_body
API Gateway Description¶
Function: jef-hardware-delete-5
Module: jef-hardware
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /hardware-rentals-delete-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-hardware-rentals
Payload Example:
- pk: RNT-2026-0001
Payload Schema:
- pk: rental_id
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "RNT-2026-0001"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X DELETE "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"RNT-2026-0001\"}"
PowerShell curl¶
curl.exe -X DELETE "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rentals-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "RNT-2026-0001"}'